Package csb :: Package bio :: Package sequence :: Class SequenceAlphabets

[frames] | no frames]

# Class SequenceAlphabets

source code

    object --+
             |
            SequenceAlphabets

Sequence alphabet enumerations.

Note: This class is kept for backwards compatibility. The individual alphabet classes must be defined in the top level namespace, otherwise the new enum types cannot be pickled properly.

Nested Classes
| Nucleic Nucleic sequence alphabet
| Protein Protein sequence alphabet
| StdProtein Standard protein sequence alphabet
| Unknown Unknown sequence alphabet

Instance Methods
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

bool

contains(alphabet) Return True if `alphabet` is a sequence alphabet | source code

csb.core.enum

get(type) Get the alphabet corresponding to the specified sequence `type` | source code

Class Variables
| ALL_ALPHABETS = ``set([`<NucleicAlphabet: NotT=V, Purine=R, ...>`,``...``
| MAP = ``{`DNA`:` <NucleicAlphabet: NotT=V, Purine=R, ...>`,` NucleicA`...``

Properties
Inherited from `object`: `__class__`

Method Details

### contains(alphabet)
Static Method

source code

Return True if `alphabet` is a sequence alphabet

Parameters:
  - `alphabet` (csb.core.enum)
Returns: bool

### get(type)
Static Method

source code

Get the alphabet corresponding to the specified sequence `type`

Parameters:
  - `type` (csb.core.EnumItem) - a member of SequenceTypes
Returns: csb.core.enum

Class Variable Details

### ALL_ALPHABETS

Value:

      set([<NucleicAlphabet: NotT=V, Purine=R, ...>,
           <UnknownAlphabet: UNK=X, INSERTION=., ...>,
           <ProteinAlphabet: ILE=I, GLN=Q, ...>])

### MAP

Value:

      {DNA: <NucleicAlphabet: NotT=V, Purine=R, ...>,
       NucleicAcid: <NucleicAlphabet: NotT=V, Purine=R, ...>,
       Protein: <ProteinAlphabet: ILE=I, GLN=Q, ...>,
       RNA: <NucleicAlphabet: NotT=V, Purine=R, ...>,
       Unknown: <UnknownAlphabet: UNK=X, INSERTION=., ...>}